package com.yyrh.core.impl.login.fragment;

import android.os.Bundle;
import android.support.annotation.Nullable;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import com.yyrh.ui.widget.EventEditText;
import com.yyrh.ui.widget.VerifyEditText;

import cn.yyxx.support.ResUtils;

/**
 * @author #Suyghur.
 * Created on 2021/10/19
 */
public class PhoneRegisterFragment extends Fragment implements View.OnClickListener {

    private View view;
    private EventEditText eetPhone, eetPwd;
    private VerifyEditText vetSms;

    @Nullable
    @Override
    public View onCreateView(LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {
        super.onCreateView(inflater, container, savedInstanceState);
        if (view == null) {
            view = inflater.inflate(ResUtils.getResId(getActivity(), "hnyy_login_phone_register", "layout"), container, false);
            initView(view);
        }
        return view;
    }

    private void initView(View view) {

        eetPhone = view.findViewById(ResUtils.getResId(getActivity(), "hnyy_eet_phone", "id"));
        eetPhone.getLeftImageView().setBackgroundResource(ResUtils.getResId(getActivity(), "hnyy_phone_img", "drawable"));
        eetPhone.getLeftImageView().setVisibility(View.VISIBLE);
        eetPhone.getEditText().setHint("请输入手机号码");

        vetSms = view.findViewById(ResUtils.getResId(getActivity(), "hnyy_vet_sms", "id"));
        vetSms.getLeftImageView().setBackgroundResource(ResUtils.getResId(getActivity(), "hnyy_sms_img", "drawable"));
        vetSms.getLeftImageView().setVisibility(View.VISIBLE);
        vetSms.getEditText().setHint("请输入验证码");
        vetSms.getRightTextView().setText("获取验证码");
        vetSms.getRightTextView().setVisibility(View.VISIBLE);

        eetPwd = view.findViewById(ResUtils.getResId(getActivity(), "hnyy_eet_pwd", "id"));
        eetPwd.getLeftImageView().setBackgroundResource(ResUtils.getResId(getActivity(), "hnyy_pwd_img", "drawable"));
        eetPwd.getLeftImageView().setVisibility(View.VISIBLE);
        eetPwd.getEditText().setHint("请输入密码");


    }

    @Override
    public void onClick(View v) {

    }
}
